# BtServer.py

from raspibrick import *
from btpycom import *
from OLED1306 import OLED1306

def onStateChanged(state, msg):
    if state == "LISTENING":
        oled.println("Server listening")
    if state == "TERMINATED":
        oled.println("Server terminated")
    elif state == "CONNECTED":
        oled.println("Conn to " + msg)
    elif state == "MESSAGE":
        oled.println("Got " + msg)
        dispatchCommand(msg)
       
def dispatchCommand(msg):
    if msg == "FORWARD":
        gear.forward()
    elif msg == "BACKWARD":
        gear.backward()
    elif msg == "RIGHT":
        gear.right()
    elif msg == "LEFT":
        gear.left()
    elif msg == "STOP":
        gear.stop()

robot = Robot()
gear = Gear()
oled = OLED1306()
oled.setFontSize(12)
serviceName = "RaspiServer"
server = BTServer(serviceName, stateChanged = onStateChanged, isVerbose = True)
while not isEscapeHit():
    Tools.delay(100)
oled.println("Terminating now.")
oled.println("Please wait")    
oled.println("until shutdown...")    
server.terminate()